<ul class="breadcrumb">
    <li><a href="<?= $this->url('root') ?>"><?= $this->icon('home') ?></a></li>
    <li><?= $this->translate('administration_module_title') ?></li>
    <li class="active"><?= $this->translate('export_module_title') ?></li>
</ul>

<h1 class="page-title">
    <?= $this->icon('word') ?> <?= $this->translate('export_module_title') ?>
</h1>

<div class="row row-padding" ng-controller="exportListController as self" ng-init="self.init('<?= \Export\Entity\Export::TYPE_WORD ?>')">
    <div class="col-sm-12">
        <ul class="nav nav-tabs">
            <li class="active">
                <a href="#word" data-toggle="tab" ng-click="self.filterType('<?= \Export\Entity\Export::TYPE_WORD ?>')">
                    <?= ucfirst($this->translate('exportWord_entities')) ?>
                </a>
            </li>
            <li>
                <a href="#excel" data-toggle="tab" ng-click="self.filterType('<?= \Export\Entity\Export::TYPE_EXCEL ?>')">
                    <?= ucfirst($this->translate('exportExcel_entities')) ?>
                </a>
            </li>
            <?php if ($this->module()->isActive('adresse')) : ?>
                <li>
                <a href="#excel" data-toggle="tab" ng-click="self.filterType('<?= \Export\Entity\Export::TYPE_PUBLIPOSTAGES ?>')">
                    <?= ucfirst($this->translate('exportPublipostages_entities')) ?>
                </a>
            </li>
            <?php endif; ?>

        </ul>
        <div class="panel">
            <table-builder options="self.options" items="self.exports" class="table-builder">
                <div class="panel-heading">
                    <?= $this->translate('export_nav_list') ?>
                    <div class="panel-heading-right">
                        <div class="panel-heading-actions" tooltip="<?= $this->translate('tooltip_remove_from_list') ?>">
                            <?= $this->icon('eraser', 'fa-fw pointer', ['ng-click' => '__tb.removeFromList()']) ?>
                        </div>
                        <div class="panel-heading-actions" tooltip="<?= $this->translate('tooltip_export_xls') ?>">
                            <?= $this->icon('excel', 'fa-fw pointer', ['ng-click' => '__tb.exportExcel()']) ?>
                        </div>
                        <div class="panel-heading-actions" tooltip="<?= $this->translate('tooltip_refresh') ?>">
                            <?= $this->icon('refresh', 'fa-fw pointer', ['ng-click' => '__tb.loadData()']) ?>
                        </div>
                    </div>
                </div>
                <div class="panel-body">
                    <div class="row">
                        <div class="col-sm-4">
                            <div class="table-filters little-panel">
                                <div class="title table-filters-header">
                                    <div class="input-group">
                                        <div class="input-group-addon pointer" data-toggle="collapse" href="#filters-collapsed">
                                            <?= $this->icon('filters', 'fa-fw') ?>
                                            <span class="caret"></span>
                                        </div>
                                        <input type="text" placeholder="<?= $this->translate('search', null, null, false) ?>" class="form-control"
                                               ng-model="self.fullText" id="full-text" on-enter="self.fullTextSearch()"/>
                                        <div class="input-group-addon pointer" ng-click="self.fullTextSearch()">
                                            <?= $this->icon('search', 'fa-fw') ?>
                                        </div>
                                    </div>
                                </div>
                                <div id="filters-collapsed" class="body collapse">
                                    <?php
                                    $filters = [
                                        'name' => [
                                            'label' => $this->translate('export_field_name'),
                                            'type'  => 'string'
                                        ],
                                        'createdAt' => [
                                            'label' => $this->translate('export_field_createdAt'),
                                            'type'  => 'date'
                                        ],
                                        'updatedAt' => [
                                            'label' => $this->translate('export_field_updatedAt'),
                                            'type'  => 'date'
                                        ],
                                    ];

                                    echo $this->tableFilter('__tb.apiParams.search.data.filters', $filters);
                                    ?>
                                    <div class="row">
                                        <div class="col-xs-6">
                                            <button class="btn" ng-click="self.resetfullTextSearch(); __tb.resetFilters(); __tb.loadData()"><?= $this->translate('table_filter_reset_button') ?></button>
                                        </div>
                                        <div class="col-xs-6 text-right">
                                            <button class="btn" ng-click="self.resetfullTextSearch(); __tb.loadData()">
                                                <?= $this->icon('search', 'fa-fw') ?>
                                                <?= $this->translate('table_filter_button') ?>
                                            </button>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="col-sm-4">
                            <table-builder-columns></table-builder-columns>
                        </div>
                        <?php if ($this->acl()->isAllowed('application:e:query:r')) : ?>
                            <div class="col-sm-4">
                                <table-builder-queries></table-builder-queries>
                            </div>
                        <?php endif; ?>
                    </div>
                    <div class="row">
                        <div class="col-xs-12">
                            <div class="table-responsive">
                                <form name="exportForm">
                                    <table table-builder-table class="table table-bordered table-condensed table-hover">
                                        <thead>
                                            <tr>
                                                <th tb-column tb-name="selection" class="checkbox-column"><input type="checkbox" ng-model="__tb.selection"/></th>
                                                <th tb-column tb-name="name"      tb-toggle="true" tb-sortable="true"><?= $this->translate('export_field_name') ?></th>
                                                <th tb-column tb-name="createdAt" tb-toggle="true" tb-sortable="true" tb-hidden="true"><?= $this->translate('export_field_createdAt') ?></th>
                                                <th tb-column tb-name="updatedAt" tb-toggle="true" tb-sortable="true" tb-hidden="true"><?= $this->translate('export_field_updatedAt') ?></th>
                                                <th tb-column tb-name="actions" class="actions-column"></th>
                                            </tr>
                                        </thead>
                                        <tbody>
                                            <tr ng-repeat="export in self.exports" ng-class="{editing: self.editedLine == user}">
                                                <td><input type="checkbox" ng-model="export.selected"/></td>
                                                <td class="editable">
                                                    <span ng-show="self.editedLine !== export">
                                                        {{export.name}}
                                                        <?= $this->icon('inline-edit', '', ['ng-click' => 'self.editLine(export)', 'ng-if' => 'export._rights.update']) ?>
                                                    </span>
                                                    <span ng-if="self.editedLine == export">
                                                        <input type="text" name="name" class="form-control input-sm"  ng-model="self.editedLineFields.name" required />
                                                        <field-errors field="name" errors="self.editedLineErrors"></field-errors>
                                                    </span>
                                                </td>
                                                <td>{{export.createdAt | dateFormat : 'DD/MM/YYYY'}}</td>
                                                <td>{{export.updatedAt | dateFormat : 'DD/MM/YYYY'}}</td>
                                                <td>
                                                    <div class="btn-group btn-group-actions" ng-if="self.editedLine != export">
                                                        <?php if ($this->acl()->isAllowed('export:e:export:r')) : ?>
                                                            <a href="<?= $this->url('export/form') ?>/{{self.type}}/{{export.id}}" class="btn btn-xs btn-default" tooltip="<?= $this->translate('tooltip_edit') ?>"
                                                               ng-if="export._rights.read">
                                                                <?= $this->icon('edit') ?>
                                                            </a>
                                                        <?php endif; ?>

                                                        <?php if ($this->acl()->isAllowed('export:e:export:d')) : ?>
                                                            <a href="" class="btn btn-xs btn-default" tooltip="<?= $this->translate('tooltip_delete') ?>"
                                                               ng-if="export._rights.delete" ng-click="self.deleteExport(export)">
                                                                <?= $this->icon('delete') ?>
                                                            </a>
                                                        <?php endif; ?>
                                                    </div>
                                                    <div class="btn-group btn-group-actions" ng-if="self.editedLine == export">
                                                        <button class="btn btn-xs btn-default" ng-click="self.saveEditedLine(export)" type="submit" tooltip="<?= $this->translate('tooltip_save') ?>">
                                                            <?= $this->icon('save') ?>
                                                        </button>
                                                        <button class="btn btn-xs btn-default" ng-click="self.editedLine = null" type="button" tooltip="<?= $this->translate('tooltip_cancel') ?>">
                                                            <?= $this->icon('close') ?>
                                                        </button>
                                                    </div>
                                                </td>
                                            </tr>
                                        </tbody>
                                    </table>
                                </form>
                            </div>
                        </div>
                    </div>
                </div>
            </table-builder>
        </div>
    </div>
</div>

<?php
$fabLinks = [];

if ($this->acl()->isAllowed('export:e:export:c')) {
    $fabLinks[] = [
        'href' => $this->url('export/form/word'),
        'text' => $this->icon('create', 'fa-fw') . ' ' . $this->translate('exportWord_nav_form')
    ];
    $fabLinks[] = [
        'href' => $this->url('export/form/excel'),
        'text' => $this->icon('create', 'fa-fw') . ' ' . $this->translate('exportExcel_nav_form')
    ];

    if ($this->module()->isActive('adresse')) {
        $fabLinks[] = [
            'href' => $this->url('export/form/publipostages'),
            'text' => $this->icon('create', 'fa-fw') . ' ' . $this->translate('exportPublipostage_nav_form')
        ];
    }

}



echo $this->fabMenu($fabLinks);

$this->angular('js/src/application/query/service/query.js');

$this->angular('js/src/export/service/export.js');
$this->angular('js/src/export/controller/export/list.js');
